<li class="@classNames">
    <?php 
        $uri = JFactory::getURI();
        $uri->setVar('virtuemart_currency_id', $currency->virtuemart_currency_id);
        $url = $uri->toString(array('path', 'query', 'fragment'));
    ?>
   <a href="<?php echo $url; ?>" class="<?php if ($currency->virtuemart_currency_id == $virtuemart_currency_id) : ?> active<?php endif; ?>">
       <span><?php echo $currency->currency_txt;?></span>
   </a>
</li>